Bug 462412 - JTextArea & JTextField do not send XIM_SET_IC_FOCUS & XIM_UNSET_IC_FOCUS events to XIM server
JTextArea & JTextField do not send XIM_SET_IC_FOCUS & XIM_UNSET_IC_FOCUS even...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 20:50 EDT by Peng Huang
Modified: 2015-02-18 06:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:57:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase (587 bytes, text/plain)
2010-11-19 07:09 EST, Akira TAGOH
no flags Details

  None (edit)
Description Peng Huang 2008-09-15 20:50:09 EDT
Description of problem:
JTextArea & JTextField do not send XIM_SET_IC_FOCUS & XIM_UNSET_IC_FOCUS to XIM server.
When JTextArea & JTextField work with XIM input methods, it do not set or unset ic focus via XIM protocol. So XIM server can not handle focus for Java application properly. I did not try other java widgets, maybe they have this problem too.


Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-demo-1.6.0.0-0.20.b11.fc10.i386
java-1.6.0-openjdk-1.6.0.0-0.20.b11.fc10.i386
java-1.6.0-openjdk-plugin-1.6.0.0-0.20.b11.fc10.i386


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
JTextArea & JTextField do not send XIM_SET_IC_FOCUS & XIM_UNSET_IC_FOCUS events to XIM server.


Expected results:
JTextArea & JTextField send XIM_SET_IC_FOCUS & XIM_UNSET_IC_FOCUS events to XIM server, when they get or lose focus.

Additional info:
Comment 1 Bug Zapper 2008-11-25 22:06:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 02:46:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Peng Huang 2009-11-24 00:41:30 EST
It still happens in f12.
Comment 6 Omair Majid 2010-09-16 10:08:17 EDT
Any ideas how I can confirm this problem or test if a fix works? I ask because I see several calls to XSetICFocus in the openjdk sources (specifically jdk/src/solaris/native/sun/awt/awt_InputMethod.c).

Thanks
Comment 7 Bug Zapper 2010-11-04 07:47:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Akira TAGOH 2010-11-19 07:09:20 EST
Created attachment 461530 [details]
testcase

I'm not quite sure how to see if the certain event is sent to XIM server. so bridging the XIM protocol by imsettings-xim and enabling the monitoring feature on it here. it looks working enough for this purpose. so I just went ahead with it for this testing.

Steps to Reproduce:
1. yum install ibus ibus-anthy imsettings
2. LANG=ja_JP.UTF-8 imsettings-start IBus
3. LIBGXIM_DEBUG=all imsettings-xim 2>&1 | tee /tmp/xim.log
4. javac bz462412.java
5. XMODIFIERS=@im=imsettings java Bz462412
6. move the window focus to others
7. move back the focus

Actual results:
no XIM events sent at 6 and 7

Expected results:
2. the keyboard icon should appears at the notification area.
6. XIM_UNSET_IC_FOCUS should be sent
7. XIM_SET_IC_FOCUS should be sent

Additional info:
You could check what the expected behaviour is with gedit like this:
% XMODIFIERS=@im=imsettings GTK_IM_MODULE=xim gedit

and try step 6 and 7.

HTH,
Comment 9 Akira TAGOH 2011-11-15 02:36:22 EST
This still persists on f16. updated steps against comment#8:

1. yum install ibus ibus-anthy imsettings imsettings-xim
3. LIBGXIM_DEBUG=all imsettings-xim --address=unix:abstract=/tmp/imsettings-xim --replace 2>&1 | tee /tmp/xim.log

Tested with:
java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc16.x86_64
java-1.6.0-openjdk-devel-1.6.0.0-60.1.10.4.fc16.x86_64
Comment 10 Fedora End Of Life 2013-04-03 15:49:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Fedora End Of Life 2015-01-09 16:37:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-18 06:57:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.